Skip to navigation

List Customs Information

Get customs information for products.

This list can be filtered to return customs information objects specific to a list of requested product_ids. This is achieved by appending the query string ?product_id:in=4,5,6 to the resource /shipping/products/customs-information.

GET /shipping/products/customs-information?product_id:in=4,5,6

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

product_id:inlist of integersOptional

A comma-separated list of product IDs. For more information, see Filtering.

pageintegerOptional
The page number of the results to return, starting at 1.
limitintegerOptional
The number of results to return per page.

Response

OK
datalist of objectsOptional
metaobjectOptional
Meta data relating to pagination.

Errors

400
Bad Request Error